CVE-2004-1617
CVSS5.0
发布时间 :2004-10-18 00:00:00
修订时间 :2016-10-17 22:57:44
NMCOS    

[原文]Lynx, lynx-ssl, and lynx-cur before 2.8.6dev.8 allow remote attackers to cause a denial of service (infinite loop) via a web page or HTML email that contains invalid HTML including (1) a TEXTAREA tag with a large COLS value and (2) a large tag name in an element that is not terminated, as demonstrated by mangleme. NOTE: a followup suggests that the relevant trigger for this issue is the large COLS value.


[CNNVD]Lynx Malformed HTML无限循环服务拒绝漏洞(CNNVD-200410-024)

        Lynx,lynx-ssl,lynx-cur2.8.6 dev.8之前的版本存在漏洞。远程攻击者可以借助包含无效HTML的网页或HTML邮件导致服务拒绝(无限循环),包括(1)带有超大COLS值的TEXTAREA标签和(2)未终止元素的超大标签名。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-20 [输入验证不恰当]

- CPE (受影响的平台与产品)

cpe:/a:university_of_kansas:lynx:2.8.5
cpe:/a:university_of_kansas:lynx:2.8.5_dev4
cpe:/a:university_of_kansas:lynx:2.8.3
cpe:/a:university_of_kansas:lynx:2.8.5_dev2
cpe:/a:university_of_kansas:lynx:2.8.1
cpe:/a:university_of_kansas:lynx:2.8.4
cpe:/a:university_of_kansas:lynx:2.8.5_dev3
cpe:/a:university_of_kansas:lynx:2.8.3_dev22
cpe:/a:university_of_kansas:lynx:2.8.4_rel1
cpe:/a:university_of_kansas:lynx:2.8.5_dev8
cpe:/a:university_of_kansas:lynx:2.8.5_dev5
cpe:/a:university_of_kansas:lynx:2.8.3_pre5
cpe:/a:university_of_kansas:lynx:2.8
cpe:/a:university_of_kansas:lynx:2.8.3_rel1
cpe:/a:university_of_kansas:lynx:2.7
cpe:/a:university_of_kansas:lynx:2.8.2_rel1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1617
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1617
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200410-024
(官方数据源) CNNVD

- 其它链接及资源

http://lcamtuf.coredump.cx/mangleme/gallery/
(VENDOR_ADVISORY)  MISC  http://lcamtuf.coredump.cx/mangleme/gallery/
http://lists.grok.org.uk/pipermail/full-disclosure/2004-October/027709.html
(VENDOR_ADVISORY)  FULLDISC  20041018 Web browsers - a mini-farce
http://marc.info/?l=bugtraq&m=109811406620511&w=2
(UNKNOWN)  BUGTRAQ  20041018 Web browsers - a mini-farce
http://securitytracker.com/id?1011809
(UNKNOWN)  SECTRACK  1011809
http://www.debian.org/security/2006/dsa-1076
(UNKNOWN)  DEBIAN  DSA-1076
http://www.debian.org/security/2006/dsa-1077
(UNKNOWN)  DEBIAN  DSA-1077
http://www.debian.org/security/2006/dsa-1085
(UNKNOWN)  DEBIAN  DSA-1085
http://www.securityfocus.com/archive/1/archive/1/435689/30/4740/threaded
(UNKNOWN)  BUGTRAQ  20060602 Re: [SECURITY] [DSA 1085-1] New lynx-cur packages fix several vulnerabilities
http://www.securityfocus.com/bid/11443
(VENDOR_ADVISORY)  BID  11443
http://xforce.iss.net/xforce/xfdb/17804
(VENDOR_ADVISORY)  XF  lynx-dos(17804)

- 漏洞信息

Lynx Malformed HTML无限循环服务拒绝漏洞
中危 其他
2004-10-18 00:00:00 2007-03-30 00:00:00
远程  
        Lynx,lynx-ssl,lynx-cur2.8.6 dev.8之前的版本存在漏洞。远程攻击者可以借助包含无效HTML的网页或HTML邮件导致服务拒绝(无限循环),包括(1)带有超大COLS值的TEXTAREA标签和(2)未终止元素的超大标签名。

- 公告与补丁

        OpenBSD has reportedly released an independent fix for this issue. Symantec has not confirmed this.
        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.commailto:vuldb@securityfocus.com
        Please see the references for vendor advisories and fixes.
        University of Kansas Lynx 2.8.4
        
        University of Kansas Lynx 2.8.5
        

- 漏洞信息

11135
Lynx Malformed Tags HTML Rendering DoS
Denial of Service
Loss of Availability Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2004-10-18 Unknow
2004-10-18 Unknow

- 解决方案

Upgrade to version 2.8.6dev.8 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Lynx Malformed HTML Infinite Loop Denial Of Service Vulnerability
Failure to Handle Exceptional Conditions 11443
Yes No
2004-10-18 12:00:00 2006-11-28 11:10:00
Discovery is credited to Michal Zalewski.

- 受影响的程序版本

University of Kansas Lynx 2.8.6
University of Kansas Lynx 2.8.5 dev.8
+ MandrakeSoft Multi Network Firewall 2.0
+ MandrakeSoft Single Network Firewall 7.2
+ Mandriva Linux Mandrake 9.0
+ Mandriva Linux Mandrake 8.2 ppc
+ Mandriva Linux Mandrake 8.2
+ Mandriva Linux Mandrake 8.1 ia64
+ Mandriva Linux Mandrake 8.1
+ Mandriva Linux Mandrake 8.0 ppc
+ Mandriva Linux Mandrake 8.0
+ Mandriva Linux Mandrake 7.2
University of Kansas Lynx 2.8.5 dev.5
University of Kansas Lynx 2.8.5 dev.4
University of Kansas Lynx 2.8.5 dev.3
University of Kansas Lynx 2.8.5 dev.2
University of Kansas Lynx 2.8.5
+ MandrakeSoft Corporate Server 3.0 x86_64
+ MandrakeSoft Corporate Server 3.0
+ MandrakeSoft Corporate Server 2.1 x86_64
+ MandrakeSoft Corporate Server 2.1
+ MandrakeSoft Multi Network Firewall 2.0
+ Mandriva Linux Mandrake 2006.0 x86_64
+ Mandriva Linux Mandrake 2006.0
+ Mandriva Linux Mandrake 10.2 x86_64
+ Mandriva Linux Mandrake 10.2
+ Mandriva Linux Mandrake 10.1 x86_64
+ Mandriva Linux Mandrake 10.1
+ Ubuntu Ubuntu Linux 5.10 powerpc
+ Ubuntu Ubuntu Linux 5.10 i386
+ Ubuntu Ubuntu Linux 5.10 amd64
+ Ubuntu Ubuntu Linux 5.0 4 powerpc
+ Ubuntu Ubuntu Linux 5.0 4 i386
+ Ubuntu Ubuntu Linux 5.0 4 amd64
+ Ubuntu Ubuntu Linux 4.1 ppc
+ Ubuntu Ubuntu Linux 4.1 ia64
+ Ubuntu Ubuntu Linux 4.1 ia32
University of Kansas Lynx 2.8.4 rel.1
University of Kansas Lynx 2.8.4
+ Caldera OpenLinux Server 3.1.1
+ Caldera OpenLinux Server 3.1
+ Caldera OpenLinux Workstation 3.1.1
+ Caldera OpenLinux Workstation 3.1
+ Conectiva Linux 8.0
+ Conectiva Linux 7.0
+ Debian Linux 3.0
+ RedHat Linux for iSeries 7.1
+ RedHat Linux for pSeries 7.1
+ Sun Linux 5.0.6
+ Trustix Secure Linux 1.5
+ Trustix Secure Linux 1.2
+ Trustix Secure Linux 1.1
University of Kansas Lynx 2.8.3 rel.1
University of Kansas Lynx 2.8.3 pre.5
University of Kansas Lynx 2.8.3 dev2x
University of Kansas Lynx 2.8.3 dev.22
University of Kansas Lynx 2.8.3
+ Debian Linux 2.2
University of Kansas Lynx 2.8.2 rel.1
University of Kansas Lynx 2.8.1
University of Kansas Lynx 2.8
University of Kansas Lynx 2.7
Debian Linux 3.1 sparc
Debian Linux 3.1 s/390
Debian Linux 3.1 ppc
Debian Linux 3.1 mipsel
Debian Linux 3.1 mips
Debian Linux 3.1 m68k
Debian Linux 3.1 ia-64
Debian Linux 3.1 ia-32
Debian Linux 3.1 hppa
Debian Linux 3.1 arm
Debian Linux 3.1 amd64
Debian Linux 3.1 alpha
Debian Linux 3.1
Debian Linux 3.0 sparc
Debian Linux 3.0 s/390
Debian Linux 3.0 ppc
Debian Linux 3.0 mipsel
Debian Linux 3.0 mips
Debian Linux 3.0 m68k
Debian Linux 3.0 ia-64
Debian Linux 3.0 ia-32
Debian Linux 3.0 hppa
Debian Linux 3.0 arm
Debian Linux 3.0 alpha
Debian Linux 3.0

- 漏洞讨论

Lynx is prone to a denial-of-service vulnerability when handling certain malformed HTML. Attackers could exploit this condition could to cause the application to enter an infinite loop.

- 漏洞利用

This issue was discovered with the 'mangleme' web fuzzer:

http://lcamtuf.coredump.cx/soft/mangleme.tgz

The following proof of concept is also available:

http://lcamtuf.coredump.cx/mangleme/gallery/lynx_die1.html

- 解决方案

OpenBSD has reportedly released an independent fix for this issue. Symantec has not confirmed this.

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.commailto:vuldb@securityfocus.com

Please see the references for vendor advisories and fixes.


University of Kansas Lynx 2.8.4

University of Kansas Lynx 2.8.5

University of Kansas Lynx 2.8.6

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站